Class InvokeInferenceRouterRequest
- All Implemented Interfaces:
SdkPojo,ToCopyableBuilder<InvokeInferenceRouterRequest.Builder,InvokeInferenceRouterRequest>
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionfinal Stringaccept()The MIME type that you want for the inference response.final SdkBytesbody()The input data for the inference, in the format that your model expects.builder()final StringThe MIME type of the input data in the request body.final StringProvides additional information about the inference request.final booleanfinal booleanequalsBySdkFields(Object obj) Indicates whether some other object is "equal to" this one by SDK fields.final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz) Used to retrieve the value of a field from any class that extendsSdkRequest.final inthashCode()final StringAn identifier for the inference request.final StringThe name of the inference router to invoke.final StringAn optional, stable identifier that serves as a routing hint for prefix-aware routing.final StringThe name of the routing target in the inference router.static Class<? extends InvokeInferenceRouterRequest.Builder> Take this object and create a builder that contains all of the current property values of this object.final StringtoString()Returns a string representation of this object.Methods inherited from class software.amazon.awssdk.awscore.AwsRequest
overrideConfigurationMethods inherited from interface software.amazon.awssdk.utils.builder.ToCopyableBuilder
copy
-
Method Details
-
inferenceRouterName
The name of the inference router to invoke.
- Returns:
- The name of the inference router to invoke.
-
routingTargetName
The name of the routing target in the inference router. The routing target lists the destinations that can serve the request.
- Returns:
- The name of the routing target in the inference router. The routing target lists the destinations that can serve the request.
-
contentType
The MIME type of the input data in the request body. The router passes it to the destination.
- Returns:
- The MIME type of the input data in the request body. The router passes it to the destination.
-
accept
The MIME type that you want for the inference response. The router passes it to the destination.
- Returns:
- The MIME type that you want for the inference response. The router passes it to the destination.
-
inferenceId
An identifier for the inference request. The router passes it to the destination.
- Returns:
- An identifier for the inference request. The router passes it to the destination.
-
prefixAwareId
An optional, stable identifier that serves as a routing hint for prefix-aware routing. The router passes it to the destination that serves the request. Within that destination, requests with the same prefix and the same identifier go to the same instance. If requests from different applications might have the same prompt prefix, set a different identifier for each application to differentiate their routing decisions.
Applies only to destination endpoints configured with a
RoutingStrategyofPREFIX_AWARE.- Returns:
- An optional, stable identifier that serves as a routing hint for prefix-aware routing. The router passes
it to the destination that serves the request. Within that destination, requests with the same prefix and
the same identifier go to the same instance. If requests from different applications might have the same
prompt prefix, set a different identifier for each application to differentiate their routing
decisions.
Applies only to destination endpoints configured with a
RoutingStrategyofPREFIX_AWARE.
-
customAttributes
Provides additional information about the inference request. The value is an opaque string that the router passes, unchanged, to the model container of the destination that serves the request. The value can contain up to 1,024 visible US-ASCII characters.
- Returns:
- Provides additional information about the inference request. The value is an opaque string that the router passes, unchanged, to the model container of the destination that serves the request. The value can contain up to 1,024 visible US-ASCII characters.
-
body
The input data for the inference, in the format that your model expects. The body can't be empty.
- Returns:
- The input data for the inference, in the format that your model expects. The body can't be empty.
-
toBuilder
Description copied from interface:ToCopyableBuilderTake this object and create a builder that contains all of the current property values of this object.- Specified by:
toBuilderin interfaceToCopyableBuilder<InvokeInferenceRouterRequest.Builder,InvokeInferenceRouterRequest> - Specified by:
toBuilderin classSageMakerInferenceRouterRuntimeRequest- Returns:
- a builder for type T
-
builder
-
serializableBuilderClass
-
hashCode
public final int hashCode()- Overrides:
hashCodein classAwsRequest
-
equals
- Overrides:
equalsin classAwsRequest
-
equalsBySdkFields
Description copied from interface:SdkPojoIndicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in anSdkPojoclass, and is generated based on a service model.If an
SdkPojoclass does not have any inherited fields,equalsBySdkFieldsandequalsare essentially the same.- Specified by:
equalsBySdkFieldsin interfaceSdkPojo- Parameters:
obj- the object to be compared with- Returns:
- true if the other object equals to this object by sdk fields, false otherwise.
-
toString
-
getValueForField
Description copied from class:SdkRequestUsed to retrieve the value of a field from any class that extendsSdkRequest. The field name specified should match the member name from the corresponding service-2.json model specified in the codegen-resources folder for a given service. The class specifies what class to cast the returned value to. If the returned value is also a modeled class, theSdkRequest.getValueForField(String, Class)method will again be available.- Overrides:
getValueForFieldin classSdkRequest- Parameters:
fieldName- The name of the member to be retrieved.clazz- The class to cast the returned object to.- Returns:
- Optional containing the casted return value
-
sdkFields
-
sdkFieldNameToField
- Specified by:
sdkFieldNameToFieldin interfaceSdkPojo- Returns:
- The mapping between the field name and its corresponding field.
-